import ftcomputing.robo.*;
/**
 * Betrieb des Leuchtturmsvon Robo LT Beginner Lab.
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Leuchtturm {
    private FishFace fl;
    public Leuchtturm() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }

    /**
     * Gleichtaktprinzip : Licht- und Dunkelpahse je 2 Sekunden
     */
    public void Leuchtturm1() {
        do {
            fl.setMotor(Mot.M1, Dir.On);
            fl.setMotor(Mot.M2, Dir.On);
            fl.pause(2000);
            fl.setMotor(Mot.M1, Dir.Off);
            fl.setMotor(Mot.M2, Dir.Off);
            fl.pause(2000);
        } while (!fl.finish());
    }
    /**
     * Blitzprinzip : Blitz 0,3 sec, Dunkel 1,5 sec
     */
    public void Leuchtturm2() {
        do {
            fl.setMotor(Mot.M1, Dir.On);
            fl.setMotor(Mot.M2, Dir.On);
            fl.pause(300);
            fl.setMotor(Mot.M1, Dir.Off);
            fl.setMotor(Mot.M2, Dir.Off);
            fl.pause(1500);
        } while (!fl.finish());
    }
    
    /**
     * Blinkprinzip : Beide Lampen unabhngig, unterschiedliche Dauer
     * Dazu zweite Lampe in sep. Thread
     */
    public void Leuchtturm3() {
        Thread Lampe2 = new Thread(new Lampe2Blinken());
        Lampe2.start();

        do {
            fl.setMotor(Mot.M1, Dir.On);
            fl.pause(2000);
            fl.setMotor(Mot.M1, Dir.Off);
            fl.pause(3000);
        } while (!fl.finish());        
    }
    class Lampe2Blinken implements Runnable {
        @Override public void run() {
            do {
                fl.setMotor(Mot.M2, Dir.On);
                fl.pause(3000);
                fl.setMotor(Mot.M2, Dir.Off);
                fl.pause(5000);
            } while (!fl.finish());
        }
    }
}
