import ftcomputing.robo.*;
/**
 * Betrieb des Scheibenwischers aus Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Scheibenwischer {
    private FishFace fl;
    public Scheibenwischer() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }

    /**
     * Schnellgang auf Drehschalterstellung 1 
     */
    public void Scheibenwischer1() {
        do {
            if (fl.getInput(Inp.I1)) fl.setMotor(Mot.M1, Dir.Right);
            else fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
    }
    /**
     * Drehschalterstellung 1 : Langsam, 2 : Schnell
     */
    public void Scheibenwischer2() {
        do {
            if (fl.getInput(Inp.I1) & fl.getInput(Inp.I2)) {
                fl.setMotor(Mot.M1, Dir.Right);
            } else if (fl.getInput(Inp.I1)) {
                fl.setMotor(Mot.M1, Dir.Right, Speed.L2);
            } else fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
    }
    /**
     * Drehschalterstellung 1 : Interval, 2 : Langsam, 3 : Schnell
     */
    public void Scheibenwischer3() {
        fl.setMotor(Mot.M2, Dir.On);
        fl.pause(500);
        do {
            if (fl.getInput(Inp.I1) & fl.getInput(Inp.I2)) {
                fl.setMotor(Mot.M1, Dir.Right, Speed.L2);
            } else if (fl.getInput(Inp.I1) & !fl.getInput(Inp.I2)) {
                fl.setMotor(Mot.M1, Dir.Right, Speed.L2);
                fl.waitForChange(Inp.I3, 4);
                fl.setMotor(Mot.M1, Dir.Off);
                fl.pause(2000);
            } else if (!fl.getInput(Inp.I1) & fl.getInput(Inp.I2)) {
                fl.setMotor(Mot.M1, Dir.Right);
            } else fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
    }
}
