import ftcomputing.robo.*;
/**
 * Betrieb der Treppenhausbeleuchtung aus Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Treppenhaus {
    private FishFace fl;
    final int Beleuchtung = Mot.M1;
    final int Taster1 = Inp.I1;
    final int Taster2 = Inp.I2;
    
    public Treppenhaus() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.setMotor(Mot.M1, Dir.Off);
        fl.setMotor(Mot.M2, Dir.Off);
        fl.closeInterface();
    }

    /**
     * Sobald einer der beiden Taster gedrckt wird : Einschalten
     * Nach 10 sec aus
     */
    public void Treppenhaus1() {
        do {
            if (fl.getInput(Taster1) | fl.getInput(Taster2)) {
                fl.setMotor(Mot.M1, Dir.On);
                fl.pause(10000);
            }
            else fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
    }
    /**
     * Sobald einer der beiden Taster gedrckt wird : Einschalten
     * Auch bei unterbrochener Lichtschranke
     * Nach 10 sec aus
     */
    public void Treppenhaus2() {
        fl.setMotor(Mot.M2, Dir.On);
        fl.pause(500);
        do {
            if (fl.getInput(Inp.I1) | fl.getInput(Inp.I2) 
                                    | !fl.getInput(Inp.I3) | !fl.finish()) {
                fl.setMotor(Mot.M1, Dir.On);
                fl.pause(10000);
            }
            else fl.setMotor(Mot.M1, Dir.Off);
        } while (!fl.finish());
    }
    /**
     * Sobald einer der beiden Taster gedrckt wird : Einschalten
     * Bei erneutem Schalten : Ausschalten
     */
    public void Treppenhaus3() {
        do {
            waitForOff();
            waitForOn();
            fl.setMotor(Beleuchtung, Dir.On);
            waitForOff();
            waitForOn();
            fl.setMotor(Beleuchtung, Dir.Off);
        } while (!fl.finish());
    }
    private void waitForOn() {
        while (!(fl.getInput(Taster1) | fl.getInput(Taster2) | fl.finish())) {
            fl.pause(50);
        }
    }
    private void waitForOff() {
        fl.waitForInput(Taster1, false);
        fl.waitForInput(Taster2, false);
    }
}
