import ftcomputing.robo.*;
/**
 * Betrieb der Waschmaschine aus Robo LT Beginner Lab
 * 
 * @author Ulrich Mller
 * @version 12.08.10
 */
public class Waschmaschine {
    private FishFace fl;
    final int Trommel = Mot.M1;
    final int Anzeige = Mot.M2;
    final int Starter = Inp.I1;
    final int TuerZu = Inp.I2;
    
    public Waschmaschine() {
        fl = new FishFace();
        fl.openInterface(0, 0);
    }
    public void Beenden() {
        fl.closeInterface();
    }

    /**
     *  Nach Bettigen des Starttaster dreht die Trommel langsam 10 sec
     */
    public void Waschmaschine1() {
        do {
            System.out.println("Start Waschgang : I1-Taster");
            fl.waitForInput(Starter);
            fl.setMotor(Anzeige, Dir.On);
            fl.setMotor(Trommel, Dir.Right, Speed.L2);
            fl.pause(10000);
            fl.setMotor(Trommel, Dir.Off);
            fl.setMotor(Anzeige, Dir.Off);
            fl.pause(1000);
        } while (!fl.finish());
    }
    /**
     *  Nach Bettigen des Starttaster dreht die Trommel langsam 10 sec
     *  Zustzliche Abfrage : Tr geschlossen
     */
    public void Waschmaschine2() {
        do {
            System.out.println("Start Waschgang : I1-Taster");
            do {
                fl.waitForInput(Starter);
            } while (!fl.getInput(TuerZu));
            fl.setMotor(Anzeige, Dir.On);
            fl.setMotor(Trommel, Dir.Right, Speed.L2);
            fl.pause(10000);
            fl.setMotor(Trommel, Dir.Off);
            fl.setMotor(Anzeige, Dir.Off);
            fl.pause(1000);
        } while (!fl.finish());
    }
    /**
     *  Nach Bettigen des Starttaster dreht die Trommel langsam 10 sec
     *  Zustzliche Abfrage : Tr geschlossen. Plus Schleudergang
     */
    public void Waschmaschine3() {
        do {
            System.out.println("Start Waschgang : I1-Taster");
            do {
                fl.waitForInput(Starter);
            } while (!fl.getInput(TuerZu));
            
            fl.setMotor(Anzeige, Dir.On);
            fl.setMotor(Trommel, Dir.Right, Speed.L2);
            fl.pause(10000);
            fl.setMotor(Trommel, Dir.Off);
            fl.pause(1000);
            
            fl.setMotor(Trommel, Dir.Right, Speed.Full);
            fl.pause(15000);
            fl.setMotor(Trommel, Dir.Off);
            fl.setMotor(Anzeige, Dir.Off);
        } while (!fl.finish());
    }
    /**
     *  Nach Bettigen des Starttaster dreht die Trommel langsam 10 sec
     *  Zustzliche Abfrage : Tr geschlossen. Plus Schleudergang
     *  Plus Trockengang und Anzeige Betriebszustand
     */
    public void Waschmaschine4() {
        do {
            System.out.println("Start Waschgang : I1-Taster");
            do {
                fl.waitForInput(Starter);
            } while (!fl.getInput(TuerZu));
            
            System.out.println("Waschen");
            fl.setMotor(Anzeige, Dir.On);
            fl.setMotor(Trommel, Dir.Right, Speed.L2);
            fl.pause(10000);
            fl.setMotor(Trommel, Dir.Off);
            fl.pause(1000);
            
            System.out.println("Schleudern");
            fl.setMotor(Trommel, Dir.Right, Speed.Full);
            fl.pause(15000);
            fl.setMotor(Trommel, Dir.Off);
            fl.pause(1000);
            
            System.out.println("Trocknen");
            Trocknen(Dir.Right);
            Trocknen(Dir.Left);
            fl.setMotor(Anzeige, Dir.Off);
        } while (!fl.finish());
    }
    private void Trocknen(int Richtung) {
        fl.setMotor(Trommel, Richtung, Speed.L1);
        fl.pause(10000);
        fl.setMotor(Trommel, Dir.Off);
        fl.pause(1000);
    }
}
